/*
 * Copyright (C) 2016 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#include <shared/nano_endian.h>

namespace nanoapp_testing {

void swapBytes(uint8_t *bytes, size_t size) {
  for (size_t front = 0, end = size - 1; front < end; front++, end--) {
    uint8_t tmp = bytes[front];
    bytes[front] = bytes[end];
    bytes[end] = tmp;
  }
}

}  // namespace nanoapp_testing
